2024-05-07  Release Manager

	* GCC 14.1.0 released.

2024-04-09  Jakub Jelinek  <jakub@redhat.com>

	* docs/topics/expressions.rst (Constructor expressions): Fix
	duplicated words; have have -> have.

2024-04-02  Iain Sandoe  <iain@sandoe.co.uk>

	* Make-lang.in: Implement exports list, and use a shared
	libgcc.
	* libgccjit.exports: New file.

2024-03-29  Guillaume Gomez  <guillaume1.gomez@gmail.com>

	* libgccjit.cc (gcc_jit_type_get_size): Add pointer support

2024-02-10  Jakub Jelinek  <jakub@redhat.com>

	* jit-playback.cc (new_bitcast): Use HOST_WIDE_INT_PRINT_DEC instead
	of "%ld" and casts to long.

2024-02-02  Antoni Boucher  <bouanto@zoho.com>

	* docs/topics/compatibility.rst (LIBGCCJIT_ABI_27): New ABI tag.
	* docs/topics/expressions.rst: Document gcc_jit_context_new_sizeof.
	* jit-playback.cc (new_sizeof): New method.
	* jit-playback.h (new_sizeof): New method.
	* jit-recording.cc (recording::context::new_sizeof,
	recording::memento_of_sizeof::replay_into,
	recording::memento_of_sizeof::make_debug_string,
	recording::memento_of_sizeof::write_reproducer): New methods.
	* jit-recording.h (class memento_of_sizeof): New class.
	* libgccjit.cc (gcc_jit_context_new_sizeof): New function.
	* libgccjit.h (gcc_jit_context_new_sizeof): New function.
	* libgccjit.map: New function.

2024-01-19  Antoni Boucher  <bouanto@zoho.com>

	* jit-builtins.cc (ensure_optimization_builtins_exist): Add
	popcount builtins.

2024-01-19  Antoni Boucher  <bouanto@zoho.com>

	* jit-recording.h (is_numeric_vector, vector_type::new_int): New
	functions.
	* libgccjit.cc (gcc_jit_context_new_unary_op,
	gcc_jit_context_new_binary_op): add checks for
	is_numeric_vector.

2024-01-12  Guillaume Gomez  <guillaume1.gomez@gmail.com>
	    Antoni Boucher  <bouanto@zoho.com>

	* docs/topics/compatibility.rst: Add documentation for LIBGCCJIT_ABI_26.
	* docs/topics/functions.rst: Add documentation for new functions.
	* docs/topics/expressions.rst: Add documentation for new functions.

2024-01-12  Guillaume Gomez  <guillaume1.gomez@gmail.com>
	    Antoni Boucher  <bouanto@zoho.com>

	* dummy-frontend.cc (handle_alias_attribute): New function.
	(handle_always_inline_attribute): New function.
	(handle_cold_attribute): New function.
	(handle_fnspec_attribute): New function.
	(handle_format_arg_attribute): New function.
	(handle_format_attribute): New function.
	(handle_noinline_attribute): New function.
	(handle_target_attribute): New function.
	(handle_used_attribute): New function.
	(handle_visibility_attribute): New function.
	(handle_weak_attribute): New function.
	(handle_alias_ifunc_attribute): New function.
	* jit-playback.cc (fn_attribute_to_string): New function.
	(variable_attribute_to_string): New function.
	(global_new_decl): Add attributes support.
	(set_variable_attribute): New function.
	(new_global): Add attributes support.
	(new_global_initialized): Add attributes support.
	(new_local): Add attributes support.
	* jit-playback.h (fn_attribute_to_string): New function.
	(set_variable_attribute): New function.
	* jit-recording.cc (recording::lvalue::add_attribute): New function.
	(recording::function::function): New function.
	(recording::function::write_to_dump): Add attributes support.
	(recording::function::add_attribute): New function.
	(recording::function::add_string_attribute): New function.
	(recording::function::add_integer_array_attribute): New function.
	(recording::global::replay_into): Add attributes support.
	(recording::local::replay_into): Add attributes support.
	* jit-recording.h: Add attributes support.
	* libgccjit.cc (gcc_jit_function_add_attribute): New function.
	(gcc_jit_function_add_string_attribute): New function.
	(gcc_jit_function_add_integer_array_attribute): New function.
	(gcc_jit_lvalue_add_attribute): New function.
	* libgccjit.h (enum gcc_jit_fn_attribute): New enum.
	(gcc_jit_function_add_attribute): New function.
	(gcc_jit_function_add_string_attribute): New function.
	(gcc_jit_function_add_integer_array_attribute): New function.
	(enum gcc_jit_variable_attribute): New function.
	(gcc_jit_lvalue_add_string_attribute): New function.
	* libgccjit.map: Declare new functions.

2023-12-06  David Malcolm  <dmalcolm@redhat.com>

	* dummy-frontend.cc (jit_begin_diagnostic): Make diagnostic_info
	param const.
	(jit_end_diagnostic): Likewise.  Pass to add_diagnostic by
	reference.
	* jit-playback.cc (jit::playback::context::add_diagnostic):
	Convert diagnostic_info to const reference.
	* jit-playback.h (jit::playback::context::add_diagnostic):
	Likewise.

2023-12-05  Richard Sandiford  <richard.sandiford@arm.com>

	* dummy-frontend.cc (jit_gnu_attribute_table): Add extra braces
	to work around PR 16333 in older compilers.
	(jit_format_attribute_table): Likewise.

2023-12-02  Richard Sandiford  <richard.sandiford@arm.com>

	* dummy-frontend.cc (jit_format_attribute_table): Change type to
	scoped_attribute_specs, using...
	(jit_format_attributes): ...this as the underlying array.
	(jit_attribute_table): Change to an array of scoped_attribute_specs
	pointers, using...
	(jit_gnu_attributes, jit_gnu_attribute_table): ...these new globals
	for the original array.  Include the format attributes.
	(LANG_HOOKS_COMMON_ATTRIBUTE_TABLE): Delete.
	(LANG_HOOKS_FORMAT_ATTRIBUTE_TABLE): Delete.
	(LANG_HOOKS_ATTRIBUTE_TABLE): Define.

2023-11-09  Guillaume Gomez  <guillaume1.gomez@gmail.com>

	* libgccjit++.h:

2023-11-04  David Malcolm  <dmalcolm@redhat.com>

	* jit-playback.cc: Update for changes to diagnostic_context.
	* jit-playback.h: Likewise.

2023-10-25  Vibhav Pant  <vibhavp@gmail.com>

	* jit-recording.cc (recording::global::write_to_dump): Fix
	dump of string literal initializers.

2023-10-22  Iain Sandoe  <iain@sandoe.co.uk>

	* Make-lang.in: Handle Darwin rpaths.

2023-10-02  David Malcolm  <dmalcolm@redhat.com>

	* dummy-frontend.cc (jit_langhook_init): Update for change to
	diagnostic_context callbacks.

2023-08-31  Francois-Xavier Coudert  <fxcoudert@gcc.gnu.org>

	* jit-playback.cc: Change spelling to macOS.

2023-08-29  Guillaume Gomez  <guillaume1.gomez@gmail.com>

	* docs/topics/compatibility.rst: Add documentation for LIBGCCJIT_ABI_25.
	* docs/topics/types.rst: Add documentation for gcc_jit_type_get_restrict.

2023-08-29  Guillaume Gomez  <guillaume1.gomez@gmail.com>

	* jit-playback.cc: Remove trailing whitespace characters.
	* jit-playback.h: Add get_restrict method.
	* jit-recording.cc: Add get_restrict methods.
	* jit-recording.h: Add get_restrict methods.
	* libgccjit++.h: Add get_restrict methods.
	* libgccjit.cc: Add gcc_jit_type_get_restrict.
	* libgccjit.h: Declare gcc_jit_type_get_restrict.
	* libgccjit.map: Declare gcc_jit_type_get_restrict.

2023-02-16  Patrick Palka  <ppalka@redhat.com>

	* jit-dejagnu.h: Mechanically drop static from static inline
	functions via s/^static inline/inline/g.
	* jit-recording.h: Likewise.

2023-01-07  LIU Hao  <lh_mouse@126.com>

	PR middle-end/108300
	* jit-w32.h: Define `WIN32_LEAN_AND_MEAN` before <windows.h>.

2022-12-21  Martin Liska  <mliska@suse.cz>

	* jit-playback.h: Use unused attribute.

2022-12-14  Antoni Boucher  <bouanto@zoho.com>
	    Guillaume Gomez  <guillaume1.gomez@gmail.com>

	PR jit/108078
	* jit-recording.h: Add vector_type::is_same_type_as method

2022-12-07  Antoni Boucher  <bouanto@zoho.com>
	    Guillaume Gomez  <guillaume1.gomez@gmail.com>

	PR jit/107770
	* jit-playback.cc: Fix vector float comparison
	* jit-playback.h: Update comparison function signature
	* jit-recording.cc: Update call for "new_comparison" function
	* jit-recording.h: Fix vector float comparison

2022-11-20  Jeff Law  <jlaw@ventanamicro.com>

	PR other/104044
	* jit-playback.cc (playback::lvale::mark_addressable): Remove
	extraeous semicolon

2022-11-19  Jonathan Wakely  <jwakely@redhat.com>
	    LIU Hao  <lh_mouse@126.com>

	* jit-playback.cc (playback::context::scoped_lock): Define RAII
	lock type.
	(playback::context::compile): Use scoped_lock to acquire mutex
	for the active playback context.
	(jit_mutex): Change to std::mutex.
	(playback::context::acquire_mutex): Rename to ...
	(playback::context::lock): ... this.
	(playback::context::release_mutex): Rename to ...
	(playback::context::unlock): ... this.
	* jit-playback.h (playback::context): Rename members and declare
	scoped_lock.
	* jit-recording.cc (INCLUDE_PTHREAD_H): Remove unused define.
	* libgccjit.cc (version_mutex): Change to std::mutex.
	(struct jit_version_info): Use std::lock_guard to acquire and
	release mutex.

2022-11-14  Martin Liska  <mliska@suse.cz>

	Revert:
	2022-11-09  Martin Liska  <mliska@suse.cz>

	* Make-lang.in:
	* docs/cp/index.rst: Moved to...
	* doc/cp/index.rst: ...here.
	* docs/cp/intro/index.rst: Moved to...
	* doc/cp/intro/index.rst: ...here.
	* docs/cp/intro/tutorial01.rst: Moved to...
	* doc/cp/intro/tutorial01.rst: ...here.
	* docs/cp/intro/tutorial02.rst: Moved to...
	* doc/cp/intro/tutorial02.rst: ...here.
	* docs/cp/intro/tutorial03.rst: Moved to...
	* doc/cp/intro/tutorial03.rst: ...here.
	* docs/cp/intro/tutorial04.rst: Moved to...
	* doc/cp/intro/tutorial04.rst: ...here.
	* docs/cp/topics/asm.rst: Moved to...
	* doc/cp/topics/asm.rst: ...here.
	* docs/cp/topics/compilation.rst: Moved to...
	* doc/cp/topics/compilation.rst: ...here.
	* docs/cp/topics/contexts.rst: Moved to...
	* doc/cp/topics/contexts.rst: ...here.
	* docs/cp/topics/expressions.rst: Moved to...
	* doc/cp/topics/expressions.rst: ...here.
	* docs/cp/topics/functions.rst: Moved to...
	* doc/cp/topics/functions.rst: ...here.
	* docs/cp/topics/index.rst: Moved to...
	* doc/cp/topics/index.rst: ...here.
	* docs/cp/topics/locations.rst: Moved to...
	* doc/cp/topics/locations.rst: ...here.
	* docs/cp/topics/objects.rst: Moved to...
	* doc/cp/topics/objects.rst: ...here.
	* docs/cp/topics/types.rst: Moved to...
	* doc/cp/topics/types.rst: ...here.
	* docs/examples/emit-alphabet.bf: Moved to...
	* doc/examples/emit-alphabet.bf: ...here.
	* docs/examples/tut01-hello-world.c: Moved to...
	* doc/examples/tut01-hello-world.c: ...here.
	* docs/examples/tut01-hello-world.cc: Moved to...
	* doc/examples/tut01-hello-world.cc: ...here.
	* docs/examples/tut02-square.c: Moved to...
	* doc/examples/tut02-square.c: ...here.
	* docs/examples/tut02-square.cc: Moved to...
	* doc/examples/tut02-square.cc: ...here.
	* docs/examples/tut03-sum-of-squares.c: Moved to...
	* doc/examples/tut03-sum-of-squares.c: ...here.
	* docs/examples/tut03-sum-of-squares.cc: Moved to...
	* doc/examples/tut03-sum-of-squares.cc: ...here.
	* docs/examples/tut04-toyvm/Makefile: Moved to...
	* doc/examples/tut04-toyvm/Makefile: ...here.
	* docs/examples/tut04-toyvm/factorial.toy: Moved to...
	* doc/examples/tut04-toyvm/factorial.toy: ...here.
	* docs/examples/tut04-toyvm/fibonacci.toy: Moved to...
	* doc/examples/tut04-toyvm/fibonacci.toy: ...here.
	* docs/examples/tut04-toyvm/toyvm.c: Moved to...
	* doc/examples/tut04-toyvm/toyvm.c: ...here.
	* docs/examples/tut04-toyvm/toyvm.cc: Moved to...
	* doc/examples/tut04-toyvm/toyvm.cc: ...here.
	* docs/examples/tut05-bf.c: Moved to...
	* doc/examples/tut05-bf.c: ...here.
	* docs/index.rst: Moved to...
	* doc/index.rst: ...here.
	* docs/internals/index.rst: Moved to...
	* doc/internals/index.rst: ...here.
	* docs/internals/test-hello-world.exe.log.txt: Moved to...
	* doc/internals/test-hello-world.exe.log.txt: ...here.
	* docs/_build/texinfo/libgccjit-figures/factorial.png: Moved to...
	* doc/intro/factorial.png: ...here.
	* docs/intro/index.rst: Moved to...
	* doc/intro/index.rst: ...here.
	* docs/_build/texinfo/libgccjit-figures/sum-of-squares.png: Moved to...
	* doc/intro/sum-of-squares.png: ...here.
	* docs/intro/tutorial01.rst: Moved to...
	* doc/intro/tutorial01.rst: ...here.
	* docs/intro/tutorial02.rst: Moved to...
	* doc/intro/tutorial02.rst: ...here.
	* docs/intro/tutorial03.rst: Moved to...
	* doc/intro/tutorial03.rst: ...here.
	* docs/intro/tutorial04.rst: Moved to...
	* doc/intro/tutorial04.rst: ...here.
	* docs/intro/tutorial05.rst: Moved to...
	* doc/intro/tutorial05.rst: ...here.
	* docs/topics/asm.rst: Moved to...
	* doc/topics/asm.rst: ...here.
	* docs/topics/compatibility.rst: Moved to...
	* doc/topics/compatibility.rst: ...here.
	* docs/topics/compilation.rst: Moved to...
	* doc/topics/compilation.rst: ...here.
	* docs/topics/contexts.rst: Moved to...
	* doc/topics/contexts.rst: ...here.
	* docs/topics/expressions.rst: Moved to...
	* doc/topics/expressions.rst: ...here.
	* docs/topics/function-pointers.rst: Moved to...
	* doc/topics/function-pointers.rst: ...here.
	* docs/topics/functions.rst: Moved to...
	* doc/topics/functions.rst: ...here.
	* docs/topics/index.rst: Moved to...
	* doc/topics/index.rst: ...here.
	* docs/topics/locations.rst: Moved to...
	* doc/topics/locations.rst: ...here.
	* docs/topics/objects.rst: Moved to...
	* doc/topics/objects.rst: ...here.
	* docs/topics/performance.rst: Moved to...
	* doc/topics/performance.rst: ...here.
	* docs/topics/types.rst: Moved to...
	* doc/topics/types.rst: ...here.
	* docs/Makefile: Removed.
	* docs/_build/texinfo/Makefile: Removed.
	* docs/_build/texinfo/libgccjit-figures/factorial1.png: Removed.
	* docs/_build/texinfo/libgccjit-figures/sum-of-squares1.png: Removed.
	* docs/_build/texinfo/libgccjit.texi: Removed.
	* docs/conf.py: Removed.
	* docs/intro/factorial.png: Removed.
	* docs/intro/sum-of-squares.png: Removed.
	* doc/conf.py: New file.

2022-11-14  Martin Liska  <mliska@suse.cz>

	Revert:
	2022-11-14  Martin Liska  <mliska@suse.cz>

	* Make-lang.in: Support --with-sphinx-build.

2022-11-14  Martin Liska  <mliska@suse.cz>

	Revert:
	2022-11-14  Martin Liska  <mliska@suse.cz>

	* doc/internals/index.rst: Fix cross manual refs.
	* doc/topics/contexts.rst: Likewise.

2022-11-14  Martin Liska  <mliska@suse.cz>

	Revert:
	2022-11-14  Martin Liska  <mliska@suse.cz>

	* Make-lang.in:
	Support installation if sphinx-build is missing.

2022-11-14  Martin Liska  <mliska@suse.cz>

	Revert:
	2022-11-14  Martin Liska  <mliska@suse.cz>

	* doc/cp/index.rst: Remove trailing .rst in toctree.
	* doc/cp/intro/index.rst: Likewise.
	* doc/cp/topics/index.rst: Likewise.
	* doc/index.rst: Likewise.
	* doc/intro/index.rst: Likewise.
	* doc/topics/index.rst: Likewise.
	* doc/indices-and-tables.rst: New file.

2022-11-11  Martin Liska  <mliska@suse.cz>

	* doc/cp/index.rst: Remove trailing .rst in toctree.
	* doc/cp/intro/index.rst: Likewise.
	* doc/cp/topics/index.rst: Likewise.
	* doc/index.rst: Likewise.
	* doc/intro/index.rst: Likewise.
	* doc/topics/index.rst: Likewise.
	* doc/indices-and-tables.rst: New file.

2022-11-09  Martin Liska  <mliska@suse.cz>

	* Make-lang.in:
	Support installation if sphinx-build is missing.

2022-11-09  Martin Liska  <mliska@suse.cz>

	* doc/internals/index.rst: Fix cross manual refs.
	* doc/topics/contexts.rst: Likewise.

2022-11-09  Martin Liska  <mliska@suse.cz>

	* Make-lang.in: Support --with-sphinx-build.

2022-11-09  Martin Liska  <mliska@suse.cz>

	* Make-lang.in:
	* docs/cp/index.rst: Moved to...
	* doc/cp/index.rst: ...here.
	* docs/cp/intro/index.rst: Moved to...
	* doc/cp/intro/index.rst: ...here.
	* docs/cp/intro/tutorial01.rst: Moved to...
	* doc/cp/intro/tutorial01.rst: ...here.
	* docs/cp/intro/tutorial02.rst: Moved to...
	* doc/cp/intro/tutorial02.rst: ...here.
	* docs/cp/intro/tutorial03.rst: Moved to...
	* doc/cp/intro/tutorial03.rst: ...here.
	* docs/cp/intro/tutorial04.rst: Moved to...
	* doc/cp/intro/tutorial04.rst: ...here.
	* docs/cp/topics/asm.rst: Moved to...
	* doc/cp/topics/asm.rst: ...here.
	* docs/cp/topics/compilation.rst: Moved to...
	* doc/cp/topics/compilation.rst: ...here.
	* docs/cp/topics/contexts.rst: Moved to...
	* doc/cp/topics/contexts.rst: ...here.
	* docs/cp/topics/expressions.rst: Moved to...
	* doc/cp/topics/expressions.rst: ...here.
	* docs/cp/topics/functions.rst: Moved to...
	* doc/cp/topics/functions.rst: ...here.
	* docs/cp/topics/index.rst: Moved to...
	* doc/cp/topics/index.rst: ...here.
	* docs/cp/topics/locations.rst: Moved to...
	* doc/cp/topics/locations.rst: ...here.
	* docs/cp/topics/objects.rst: Moved to...
	* doc/cp/topics/objects.rst: ...here.
	* docs/cp/topics/types.rst: Moved to...
	* doc/cp/topics/types.rst: ...here.
	* docs/examples/emit-alphabet.bf: Moved to...
	* doc/examples/emit-alphabet.bf: ...here.
	* docs/examples/tut01-hello-world.c: Moved to...
	* doc/examples/tut01-hello-world.c: ...here.
	* docs/examples/tut01-hello-world.cc: Moved to...
	* doc/examples/tut01-hello-world.cc: ...here.
	* docs/examples/tut02-square.c: Moved to...
	* doc/examples/tut02-square.c: ...here.
	* docs/examples/tut02-square.cc: Moved to...
	* doc/examples/tut02-square.cc: ...here.
	* docs/examples/tut03-sum-of-squares.c: Moved to...
	* doc/examples/tut03-sum-of-squares.c: ...here.
	* docs/examples/tut03-sum-of-squares.cc: Moved to...
	* doc/examples/tut03-sum-of-squares.cc: ...here.
	* docs/examples/tut04-toyvm/Makefile: Moved to...
	* doc/examples/tut04-toyvm/Makefile: ...here.
	* docs/examples/tut04-toyvm/factorial.toy: Moved to...
	* doc/examples/tut04-toyvm/factorial.toy: ...here.
	* docs/examples/tut04-toyvm/fibonacci.toy: Moved to...
	* doc/examples/tut04-toyvm/fibonacci.toy: ...here.
	* docs/examples/tut04-toyvm/toyvm.c: Moved to...
	* doc/examples/tut04-toyvm/toyvm.c: ...here.
	* docs/examples/tut04-toyvm/toyvm.cc: Moved to...
	* doc/examples/tut04-toyvm/toyvm.cc: ...here.
	* docs/examples/tut05-bf.c: Moved to...
	* doc/examples/tut05-bf.c: ...here.
	* docs/index.rst: Moved to...
	* doc/index.rst: ...here.
	* docs/internals/index.rst: Moved to...
	* doc/internals/index.rst: ...here.
	* docs/internals/test-hello-world.exe.log.txt: Moved to...
	* doc/internals/test-hello-world.exe.log.txt: ...here.
	* docs/_build/texinfo/libgccjit-figures/factorial.png: Moved to...
	* doc/intro/factorial.png: ...here.
	* docs/intro/index.rst: Moved to...
	* doc/intro/index.rst: ...here.
	* docs/_build/texinfo/libgccjit-figures/sum-of-squares.png: Moved to...
	* doc/intro/sum-of-squares.png: ...here.
	* docs/intro/tutorial01.rst: Moved to...
	* doc/intro/tutorial01.rst: ...here.
	* docs/intro/tutorial02.rst: Moved to...
	* doc/intro/tutorial02.rst: ...here.
	* docs/intro/tutorial03.rst: Moved to...
	* doc/intro/tutorial03.rst: ...here.
	* docs/intro/tutorial04.rst: Moved to...
	* doc/intro/tutorial04.rst: ...here.
	* docs/intro/tutorial05.rst: Moved to...
	* doc/intro/tutorial05.rst: ...here.
	* docs/topics/asm.rst: Moved to...
	* doc/topics/asm.rst: ...here.
	* docs/topics/compatibility.rst: Moved to...
	* doc/topics/compatibility.rst: ...here.
	* docs/topics/compilation.rst: Moved to...
	* doc/topics/compilation.rst: ...here.
	* docs/topics/contexts.rst: Moved to...
	* doc/topics/contexts.rst: ...here.
	* docs/topics/expressions.rst: Moved to...
	* doc/topics/expressions.rst: ...here.
	* docs/topics/function-pointers.rst: Moved to...
	* doc/topics/function-pointers.rst: ...here.
	* docs/topics/functions.rst: Moved to...
	* doc/topics/functions.rst: ...here.
	* docs/topics/index.rst: Moved to...
	* doc/topics/index.rst: ...here.
	* docs/topics/locations.rst: Moved to...
	* doc/topics/locations.rst: ...here.
	* docs/topics/objects.rst: Moved to...
	* doc/topics/objects.rst: ...here.
	* docs/topics/performance.rst: Moved to...
	* doc/topics/performance.rst: ...here.
	* docs/topics/types.rst: Moved to...
	* doc/topics/types.rst: ...here.
	* docs/Makefile: Removed.
	* docs/_build/texinfo/Makefile: Removed.
	* docs/_build/texinfo/libgccjit-figures/factorial1.png: Removed.
	* docs/_build/texinfo/libgccjit-figures/sum-of-squares1.png: Removed.
	* docs/_build/texinfo/libgccjit.texi: Removed.
	* docs/conf.py: Removed.
	* docs/intro/factorial.png: Removed.
	* docs/intro/sum-of-squares.png: Removed.
	* doc/conf.py: New file.

2022-09-15  Richard Biener  <rguenther@suse.de>

	* dummy-frontend.cc (jit_langhook_init): Do not initialize
	void_list_node.

2022-08-09  Vibhav Pant  <vibhavp@gmail.com>

	* libgccjit.h (LIBGCCJIT_HAVE_gcc_jit_context_new_bitcast): Move
	definition out of comment.

2022-07-28  David Malcolm  <dmalcolm@redhat.com>

	* docs/internals/index.rst: Remove reference to ".c" extensions
	of source files.

2022-07-28  Martin Liška  <mliska@suse.cz>

	* docs/cp/intro/tutorial02.rst:
	Shorten the assembly example so that there is not slider.
	* docs/cp/intro/tutorial04.rst: Likewise.
	* docs/intro/tutorial02.rst: Likewise.
	* docs/intro/tutorial04.rst: Likewise.
	* docs/topics/contexts.rst: Likewise.

2022-07-28  marxin  <mliska@suse.cz>

	* docs/index.rst: Remove reference to module index
	as we don't emit any.

2022-07-28  marxin  <mliska@suse.cz>

	* docs/cp/intro/tutorial02.rst: Use :expr:`type *` for pointers to a type
	* docs/cp/topics/asm.rst: Likewise.
	* docs/cp/topics/contexts.rst: Likewise.
	* docs/cp/topics/expressions.rst: Likewise.
	* docs/cp/topics/functions.rst: Likewise.
	* docs/cp/topics/objects.rst: Likewise.
	* docs/intro/tutorial02.rst: Likewise.
	* docs/intro/tutorial03.rst: Likewise.
	* docs/intro/tutorial04.rst: Likewise.
	* docs/intro/tutorial05.rst: Likewise.
	* docs/topics/compilation.rst: Likewise.
	* docs/topics/contexts.rst: Likewise.
	* docs/topics/objects.rst: Likewise.

2022-07-28  marxin  <mliska@suse.cz>

	* docs/cp/intro/tutorial04.rst: Use list-table.
	* docs/intro/tutorial04.rst: Likewise.
	* docs/intro/tutorial05.rst: Likewise.
	* docs/topics/compilation.rst: Likewise.
	* docs/topics/expressions.rst: Likewise.
	* docs/topics/types.rst: Likewise.

2022-07-28  marxin  <mliska@suse.cz>

	* docs/cp/topics/expressions.rst: Compact so that the generated
	output is also more compact.

2022-07-28  marxin  <mliska@suse.cz>

	* docs/cp/intro/tutorial02.rst: Use proper reference.
	* docs/cp/topics/contexts.rst: Likewise.
	* docs/cp/topics/functions.rst: Put `class` directive before a
	function as it is not allowed declaring a class in a fn.
	* docs/cp/topics/types.rst: Add template keyword.
	* docs/examples/tut04-toyvm/toyvm.c (toyvm_function_compile):
	Add removed comment used for code snippet ending detection.
	* docs/intro/tutorial04.rst: Fix to match the real comment.

2022-07-28  marxin  <mliska@suse.cz>

	* docs/cp/topics/expressions.rst: Use :expr: for basic types.
	* docs/topics/compilation.rst: Likewise.
	* docs/topics/expressions.rst: Likewise.
	* docs/topics/function-pointers.rst: Likewise.

2022-07-28  marxin  <mliska@suse.cz>

	* docs/conf.py: Add needs_sphinx = '3.0' where c:type was added.
	* docs/index.rst: Remove note about it.
	* docs/topics/compilation.rst: Use enum directive and reference.
	* docs/topics/contexts.rst: Likewise.
	* docs/topics/expressions.rst: Likewise.
	* docs/topics/functions.rst: Likewise.

2022-07-14  Jonathan Wakely  <jwakely@redhat.com>

	* jit-recording.h (recording::memento): Define copy constructor
	and copy assignment operator as deleted.
	(recording::string): Likewise.
	(recording::string::c_str): Add const qualifier.

2022-06-29  Antoni Boucher  <bouanto@zoho.com>

	PR jit/105812
	* jit-playback.cc: Use the correct return type when folding in
	as_truth_value.

2022-06-29  Sergei Trofimovich  <siarheit@google.com>

	PR c++/106102
	* jit-playback.cc: Include <pthread.h> via "system.h" to avoid calloc()
	poisoning.
	* jit-recording.cc: Ditto.
	* libgccjit.cc: Ditto.

2022-06-10  Antoni Boucher  <bouanto@zoho.com>

	PR jit/105829
	* libgccjit.cc: Add support for floating-point types in
	gcc_jit_type_get_size.

2022-06-08  Yang Yujie  <yangyujie@loongson.cn>

	* Make-lang.in: only link objects from $(EXTRA_GCC_OBJS)
	that's not in $(EXTRA_OBJS) into libgccjit.

2022-05-23  David Malcolm  <dmalcolm@redhat.com>

	* jit-recording.h: Add "final" and "override" to all vfunc
	implementations that were missing them, as appropriate.

2022-05-20  David Malcolm  <dmalcolm@redhat.com>

	* jit-playback.h: Replace uses of "FINAL" and "OVERRIDE" with
	"final" and "override".
	* jit-recording.cc: Likewise.
	* jit-recording.h: Likewise.

2022-05-16  Martin Liska  <mliska@suse.cz>

	* jit-builtins.cc (find_builtin_by_name): Use ARRAY_SIZE.
	(get_string_for_type_id): Likewise.
	* jit-recording.cc (recording::context::context): Likewise.

2022-04-14  Iain Sandoe  <iain@sandoe.co.uk>

	* jit-playback.cc (new_bitcast): Cast values returned by tree_to_uhwi
	to 'long' to match the print format.

2022-04-12  Antoni Boucher  <bouanto@zoho.com>

	PR jit/104293
	* docs/_build/texinfo/libgccjit.texi: Regenerate.
	* docs/topics/compatibility.rst (LIBGCCJIT_ABI_24): New ABI tag.
	* docs/topics/expressions.rst: Add documentation for the
	functions gcc_jit_lvalue_set_alignment and
	gcc_jit_lvalue_get_alignment.
	* jit-playback.h: New function (set_alignment).
	* jit-recording.cc: New function (set_alignment).
	* jit-recording.h: New functions (set_alignment, get_alignment)
	and new field (m_alignment).
	* libgccjit.cc: New functions (gcc_jit_lvalue_get_alignment,
	gcc_jit_lvalue_set_alignment)
	* libgccjit.h: New functions (gcc_jit_lvalue_get_alignment,
	gcc_jit_lvalue_set_alignment)
	* libgccjit.map (LIBGCCJIT_ABI_24): New ABI tag.

2022-04-12  Antoni Boucher  <bouanto@zoho.com>

	PR jit/104073
	* docs/_build/texinfo/libgccjit.texi: Regenerate.
	* docs/topics/compatibility.rst (LIBGCCJIT_ABI_23): New ABI tag.
	* docs/topics/contexts.rst: Add documentation for the new
	function gcc_jit_context_set_bool_print_errors_to_stderr.
	* jit-common.h: New enum value
	(INNER_BOOL_OPTION_PRINT_ERRORS_TO_STDERR).
	* jit-recording.cc: Handle the new option
	INNER_BOOL_OPTION_PRINT_ERRORS_TO_STDERR.
	* libgccjit.cc: New function
	(gcc_jit_context_set_bool_print_errors_to_stderr).
	* libgccjit.h: New function
	(gcc_jit_context_set_bool_print_errors_to_stderr).
	* libgccjit.map (LIBGCCJIT_ABI_23): New ABI tag.

2022-04-12  Antoni Boucher  <bouanto@zoho.com>

	PR jit/104072
	* docs/_build/texinfo/libgccjit.texi: Regenerate.
	* docs/topics/compatibility.rst (LIBGCCJIT_ABI_22): New ABI tag.
	* docs/topics/expressions.rst: Add documentation for the
	function gcc_jit_lvalue_set_register_name.
	* jit-playback.h: New function (set_register_name).
	* jit-recording.cc: New function (set_register_name) and add
	support for register variables.
	* jit-recording.h: New field (m_reg_name) and new function
	(set_register_name).
	* libgccjit.cc: New function (gcc_jit_lvalue_set_register_name).
	* libgccjit.h: New function (gcc_jit_lvalue_set_register_name).
	* libgccjit.map (LIBGCCJIT_ABI_22): New ABI tag.

2022-04-12  Antoni Boucher  <bouanto@zoho.com>

	PR jit/104071
	* docs/_build/texinfo/libgccjit.texi: Regenerate.
	* docs/topics/compatibility.rst (LIBGCCJIT_ABI_21): New ABI tag.
	* docs/topics/expressions.rst: Add documentation for the
	function gcc_jit_context_new_bitcast.
	* jit-playback.cc: New function (new_bitcast).
	* jit-playback.h: New function (new_bitcast).
	* jit-recording.cc: New functions (new_bitcast,
	bitcast::replay_into, bitcast::visit_children,
	bitcast::make_debug_string, bitcast::write_reproducer).
	* jit-recording.h: New class (bitcast) and new function
	(new_bitcast, bitcast::replay_into, bitcast::visit_children,
	bitcast::make_debug_string, bitcast::write_reproducer,
	bitcast::get_precedence).
	* libgccjit.cc: New function (gcc_jit_context_new_bitcast)
	* libgccjit.h: New function (gcc_jit_context_new_bitcast)
	* libgccjit.map (LIBGCCJIT_ABI_21): New ABI tag.

2022-04-12  Antoni Boucher  <bouanto@zoho.com>

	PR target/95325
	* docs/_build/texinfo/libgccjit.texi: Regenerate
	* docs/topics/compatibility.rst (LIBGCCJIT_ABI_20): New ABI tag.
	* docs/topics/types.rst: Add documentation for the new types
	GCC_JIT_TYPE_UINT8_T, GCC_JIT_TYPE_UINT16_T,
	GCC_JIT_TYPE_UINT32_T, GCC_JIT_TYPE_UINT64_T,
	GCC_JIT_TYPE_UINT128_T, GCC_JIT_TYPE_INT8_T, GCC_JIT_TYPE_INT16_T,
	GCC_JIT_TYPE_INT32_T, GCC_JIT_TYPE_INT64_T, GCC_JIT_TYPE_INT128_T and
	new functions (gcc_jit_compatible_types, gcc_jit_type_get_size).
	* jit-builtins.cc: Add support for BT_UINT128.
	* jit-common.h: Update the value of NUM_GCC_JIT_TYPES.
	* jit-playback.cc: Add support for the sized integer types.
	* jit-recording.cc: Add support for the sized integer types.
	* jit-recording.h: Add support for comparing integer types
	and new function (is_signed).
	* libgccjit.cc (gcc_jit_compatible_types): New.
	(gcc_jit_type_get_size) New.
	* libgccjit.h: New enum variants for gcc_jit_types
	(GCC_JIT_TYPE_UINT8_T, GCC_JIT_TYPE_UINT16_T,
	GCC_JIT_TYPE_UINT32_T, GCC_JIT_TYPE_UINT64_T,
	GCC_JIT_TYPE_UINT128_T, GCC_JIT_TYPE_INT8_T,
	GCC_JIT_TYPE_INT16_T, GCC_JIT_TYPE_INT32_T,
	GCC_JIT_TYPE_INT64_T, GCC_JIT_TYPE_INT128_T) and new functions
	(gcc_jit_compatible_types, gcc_jit_type_get_size).
	* libgccjit.map (LIBGCCJIT_ABI_20): New ABI tag.

2022-04-06  David Malcolm  <dmalcolm@redhat.com>

	PR jit/102824
	* docs/_build/texinfo/factorial.png: Move to...
	* docs/_build/texinfo/libgccjit-figures/factorial.png: ...here.
	* docs/_build/texinfo/factorial1.png: Move to...
	* docs/_build/texinfo/libgccjit-figures/factorial1.png: ...here.
	* docs/_build/texinfo/sum-of-squares.png: Move to...
	* docs/_build/texinfo/libgccjit-figures/sum-of-squares.png: ...here.
	* docs/_build/texinfo/sum-of-squares1.png: Move to...
	* docs/_build/texinfo/libgccjit-figures/sum-of-squares1.png: ...here.

2022-04-01  David Malcolm  <dmalcolm@redhat.com>

	* docs/topics/expressions.rst: Fix formatting.
	* docs/topics/types.rst: Likewise.
	* docs/_build/texinfo/libgccjit.texi: Regenerate

2022-04-01  Petter Tomner  <tomner@kth.se>

	* docs/topics/compatibility.rst: Add 19 tag
	* docs/topics/compilation.rst: Linking
	* docs/topics/contexts.rst: Linking example
	* docs/topics/expressions.rst: Fix formatting and dropped 's'

2022-03-07  Jakub Jelinek  <jakub@redhat.com>

	* libgccjit.h: Fix up duplicated word issue in a comment.

2022-01-17  Martin Liska  <mliska@suse.cz>

	* config-lang.in: Rename .c names to .cc.
	* docs/_build/texinfo/libgccjit.texi: Likewise.
	* docs/internals/index.rst: Likewise.
	* jit-builtins.cc (builtins_manager::make_builtin_function): Likewise.
	* jit-playback.cc (fold_const_var): Likewise.
	(playback::context::~context): Likewise.
	(new_field): Likewise.
	(new_bitfield): Likewise.
	(new_compound_type): Likewise.
	(playback::compound_type::set_fields): Likewise.
	(global_set_init_rvalue): Likewise.
	(load_blob_in_ctor): Likewise.
	(new_global_initialized): Likewise.
	(double>): Likewise.
	(new_string_literal): Likewise.
	(as_truth_value): Likewise.
	(build_call): Likewise.
	(playback::context::build_cast): Likewise.
	(new_array_access): Likewise.
	(new_field_access): Likewise.
	(dereference): Likewise.
	(postprocess): Likewise.
	(add_jump): Likewise.
	(add_switch): Likewise.
	(build_goto_operands): Likewise.
	(playback::context::read_dump_file): Likewise.
	(init_types): Likewise.
	* jit-recording.cc (recording::context::get_int_type): Likewise.
	* jit-recording.h: Likewise.
	* libgccjit.cc (compatible_types): Likewise.
	(gcc_jit_context_acquire): Likewise.
	(gcc_jit_context_release): Likewise.
	(gcc_jit_context_new_child_context): Likewise.
	(gcc_jit_type_as_object): Likewise.
	(gcc_jit_context_get_type): Likewise.
	(gcc_jit_context_get_int_type): Likewise.
	(gcc_jit_type_get_pointer): Likewise.
	(gcc_jit_type_get_const): Likewise.
	(gcc_jit_type_get_volatile): Likewise.
	(gcc_jit_type_dyncast_array): Likewise.
	(gcc_jit_type_is_bool): Likewise.
	(gcc_jit_type_is_pointer): Likewise.
	(gcc_jit_type_is_integral): Likewise.
	(gcc_jit_type_dyncast_vector): Likewise.
	(gcc_jit_type_is_struct): Likewise.
	(gcc_jit_vector_type_get_num_units): Likewise.
	(gcc_jit_vector_type_get_element_type): Likewise.
	(gcc_jit_type_unqualified): Likewise.
	(gcc_jit_type_dyncast_function_ptr_type): Likewise.
	(gcc_jit_function_type_get_return_type): Likewise.
	(gcc_jit_function_type_get_param_count): Likewise.
	(gcc_jit_function_type_get_param_type): Likewise.
	(gcc_jit_context_new_array_type): Likewise.
	(gcc_jit_context_new_field): Likewise.
	(gcc_jit_field_as_object): Likewise.
	(gcc_jit_context_new_struct_type): Likewise.
	(gcc_jit_struct_as_type): Likewise.
	(gcc_jit_struct_set_fields): Likewise.
	(gcc_jit_struct_get_field_count): Likewise.
	(gcc_jit_context_new_union_type): Likewise.
	(gcc_jit_context_new_function_ptr_type): Likewise.
	(gcc_jit_param_as_rvalue): Likewise.
	(gcc_jit_context_new_function): Likewise.
	(gcc_jit_function_get_return_type): Likewise.
	(gcc_jit_function_dump_to_dot): Likewise.
	(gcc_jit_block_get_function): Likewise.
	(gcc_jit_global_set_initializer_rvalue): Likewise.
	(gcc_jit_rvalue_get_type): Likewise.
	(gcc_jit_context_new_rvalue_from_int): Likewise.
	(gcc_jit_context_one): Likewise.
	(gcc_jit_context_new_rvalue_from_double): Likewise.
	(gcc_jit_context_null): Likewise.
	(gcc_jit_context_new_string_literal): Likewise.
	(valid_binary_op_p): Likewise.
	(gcc_jit_context_new_binary_op): Likewise.
	(gcc_jit_context_new_comparison): Likewise.
	(gcc_jit_context_new_call): Likewise.
	(is_valid_cast): Likewise.
	(gcc_jit_context_new_cast): Likewise.
	(gcc_jit_object_get_context): Likewise.
	(gcc_jit_object_get_debug_string): Likewise.
	(gcc_jit_lvalue_access_field): Likewise.
	(gcc_jit_rvalue_access_field): Likewise.
	(gcc_jit_rvalue_dereference_field): Likewise.
	(gcc_jit_rvalue_dereference): Likewise.
	(gcc_jit_lvalue_get_address): Likewise.
	(gcc_jit_lvalue_set_tls_model): Likewise.
	(gcc_jit_lvalue_set_link_section): Likewise.
	(gcc_jit_function_new_local): Likewise.
	(gcc_jit_block_add_eval): Likewise.
	(gcc_jit_block_add_assignment): Likewise.
	(is_bool): Likewise.
	(gcc_jit_block_end_with_conditional): Likewise.
	(gcc_jit_block_add_comment): Likewise.
	(gcc_jit_block_end_with_jump): Likewise.
	(gcc_jit_block_end_with_return): Likewise.
	(gcc_jit_block_end_with_void_return): Likewise.
	(case_range_validator::case_range_validator): Likewise.
	(case_range_validator::validate): Likewise.
	(case_range_validator::get_wide_int): Likewise.
	(gcc_jit_block_end_with_switch): Likewise.
	(gcc_jit_context_set_str_option): Likewise.
	(gcc_jit_context_set_int_option): Likewise.
	(gcc_jit_context_set_bool_option): Likewise.
	(gcc_jit_context_set_bool_allow_unreachable_blocks): Likewise.
	(gcc_jit_context_set_bool_use_external_driver): Likewise.
	(gcc_jit_context_add_command_line_option): Likewise.
	(gcc_jit_context_add_driver_option): Likewise.
	(gcc_jit_context_enable_dump): Likewise.
	(gcc_jit_context_compile): Likewise.
	(gcc_jit_context_compile_to_file): Likewise.
	(gcc_jit_context_set_logfile): Likewise.
	(gcc_jit_context_dump_reproducer_to_file): Likewise.
	(gcc_jit_context_get_first_error): Likewise.
	(gcc_jit_context_get_last_error): Likewise.
	(gcc_jit_result_get_code): Likewise.
	(gcc_jit_result_get_global): Likewise.
	(gcc_jit_rvalue_set_bool_require_tail_call): Likewise.
	(gcc_jit_type_get_aligned): Likewise.
	(gcc_jit_type_get_vector): Likewise.
	(gcc_jit_function_get_address): Likewise.
	(gcc_jit_version_patchlevel): Likewise.
	(gcc_jit_block_add_extended_asm): Likewise.
	(gcc_jit_extended_asm_as_object): Likewise.
	(gcc_jit_extended_asm_set_volatile_flag): Likewise.
	(gcc_jit_extended_asm_set_inline_flag): Likewise.
	(gcc_jit_extended_asm_add_output_operand): Likewise.
	(gcc_jit_extended_asm_add_input_operand): Likewise.
	(gcc_jit_extended_asm_add_clobber): Likewise.
	* notes.txt: Likewise.

2022-01-17  Martin Liska  <mliska@suse.cz>

	* dummy-frontend.c: Moved to...
	* dummy-frontend.cc: ...here.
	* jit-builtins.c: Moved to...
	* jit-builtins.cc: ...here.
	* jit-logging.c: Moved to...
	* jit-logging.cc: ...here.
	* jit-playback.c: Moved to...
	* jit-playback.cc: ...here.
	* jit-recording.c: Moved to...
	* jit-recording.cc: ...here.
	* jit-result.c: Moved to...
	* jit-result.cc: ...here.
	* jit-spec.c: Moved to...
	* jit-spec.cc: ...here.
	* jit-tempdir.c: Moved to...
	* jit-tempdir.cc: ...here.
	* jit-w32.c: Moved to...
	* jit-w32.cc: ...here.
	* libgccjit.c: Moved to...
	* libgccjit.cc: ...here.

2021-12-28  Martin Liska  <mliska@suse.cz>

	* docs/_build/texinfo/libgccjit.texi: Replace http:// with https.
	* docs/cp/index.rst: Likewise.
	* docs/cp/intro/index.rst: Likewise.
	* docs/cp/intro/tutorial01.rst: Likewise.
	* docs/cp/intro/tutorial02.rst: Likewise.
	* docs/cp/intro/tutorial03.rst: Likewise.
	* docs/cp/intro/tutorial04.rst: Likewise.
	* docs/cp/topics/asm.rst: Likewise.
	* docs/cp/topics/compilation.rst: Likewise.
	* docs/cp/topics/contexts.rst: Likewise.
	* docs/cp/topics/expressions.rst: Likewise.
	* docs/cp/topics/functions.rst: Likewise.
	* docs/cp/topics/index.rst: Likewise.
	* docs/cp/topics/locations.rst: Likewise.
	* docs/cp/topics/objects.rst: Likewise.
	* docs/cp/topics/types.rst: Likewise.
	* docs/index.rst: Likewise.
	* docs/internals/index.rst: Likewise.
	* docs/intro/index.rst: Likewise.
	* docs/intro/tutorial01.rst: Likewise.
	* docs/intro/tutorial02.rst: Likewise.
	* docs/intro/tutorial03.rst: Likewise.
	* docs/intro/tutorial04.rst: Likewise.
	* docs/intro/tutorial05.rst: Likewise.
	* docs/topics/asm.rst: Likewise.
	* docs/topics/compatibility.rst: Likewise.
	* docs/topics/compilation.rst: Likewise.
	* docs/topics/contexts.rst: Likewise.
	* docs/topics/expressions.rst: Likewise.
	* docs/topics/function-pointers.rst: Likewise.
	* docs/topics/functions.rst: Likewise.
	* docs/topics/index.rst: Likewise.
	* docs/topics/locations.rst: Likewise.
	* docs/topics/objects.rst: Likewise.
	* docs/topics/performance.rst: Likewise.
	* docs/topics/types.rst: Likewise.

2021-12-20  Martin Liska  <mliska@suse.cz>

	* libgccjit.c (struct version_info): Rename to jit_version_info.
	(struct jit_version_info): Likewise.
	(gcc_jit_version_major): Likewise.
	(gcc_jit_version_minor): Likewise.
	(gcc_jit_version_patchlevel): Likewise.

2021-12-14  Petter Tomner  <tomner@kth.se>

	* jit-common.h: New enum
